---
apiVersion: gitlab.com/v2alpha2
kind: Instance
metadata:
  name: test
  namespace: default
spec:
  version: 17.6.0
status:
  version: 17.0.0
  edition: EE
---
apiVersion: gitlab.com/v2alpha2
kind: DatabaseMigration
metadata:
  name: test-17.6.0-ee-pre
  namespace: default
spec:
  version: 17.6.0
  edition: EE
  skipPostMigrations: true
  applicationConfigRef:
    name: test
status:
  conditions:
    - type: DatabaseMigrationCompleted
      status: 'True'
      reason: DatabaseMigrationSucceeded
      message: Test
---
apiVersion: gitlab.com/v2alpha2
kind: ApplicationServer
metadata:
  name: test
  namespace: default
  labels:
    gitlab.io/instance: test
spec:
  version: 17.6.0
  edition: EE
  applicationConfigRef:
    name: test
  workload:
    managedContainers:
      - name: dependencies
        env:
          - name: BYPASS_SCHEMA_VERSION
            value: 'true'
status:
  version: 17.0.0
  edition: EE
---
apiVersion: gitlab.com/v2alpha2
kind: JobProcessor
metadata:
  name: test
  namespace: default
  labels:
    gitlab.io/instance: test
spec:
  version: 17.6.0
  edition: EE
  applicationConfigRef:
    name: test
  workload:
    managedContainers:
      - name: dependencies
        env:
          - name: BYPASS_SCHEMA_VERSION
            value: 'true'    
status:
  version: 17.0.0
  edition: EE
---
apiVersion: gitlab.com/v2alpha2
kind: ApplicationConfig
metadata:
  name: test
  namespace: default
spec:
  externalUrl: https://test.gitlab.local
status: {}